Debian Bug report logs - #496917
BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Lukas Kolbe <bugs@einfachkaffee.de>

Date: Thu, 28 Aug 2008 14:57:02 UTC

Severity: important

Tags: fixed-upstream

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <bugs@einfachkaffee.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <bugs@einfachkaffee.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Thu, 28 Aug 2008 14:54:56 +0000
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-3
Severity: important


Using kvm 72, the guest is started with:
kvm -smp 2 \
 -net nic,macaddr=DE:AD:BE:EF:21:71,model=virtio \
 -net tap,ifname=tap02,script=/etc/kvm/kvm-ifup \
 -net nic,macaddr=DE:AD:BE:EF:21:72,model=virtio \
 -net tap,ifname=tap12,script=/etc/kvm/kvm-ifup-web \
 -drive if=virtio,boot=on,file=/dev/vg0/web-root \
 -drive if=virtio,file=/dev/vg0/web-log \
 -drive if=virtio,file=/dev/vg0/web-srv \
 -drive if=virtio,file=/dev/vg0/web-swap \
 -m 3192 \
 -kernel /boot/vmlinuz-2.6.26-1-amd64 \
 -initrd /boot/initrd.img-2.6.26-1-amd64 \
 -append "root=/dev/vda ro" \
 -curses

On the guest, I run  the latest JDK from Sun 1.6.0_07, and the latest JBoss from
Redhat 4.2.3.GA, default configuration (except that it's started via runit:
 exec chpst -u jboss:jboss -e ./env -o 65536 /opt/jboss/bin/run.sh -b <host>

After restarting it a few times, I get the following crash of the guest kernel:

Aug 28 14:38:06 web-new kernel: [ 6677.939474] BUG: soft lockup - CPU#0 stuck for 4096s! [master:2066]
Aug 28 14:38:06 web-new kernel: [ 6677.941978] Modules linked in: ipv6 snd_pcsp snd_pcm parport_pc parport snd_timer serio_raw snd psmouse soundcore i2c_piix4 snd_page_alloc i2c_core
 button evdev dm_mirror dm_log dm_snapshot dm_mod ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal fan virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virti
o_net virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core 3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd
 ext2 mbcache reiserfs
Aug 28 14:38:06 web-new kernel: [ 6677.941978] CPU 0:
Aug 28 14:38:06 web-new kernel: [ 6677.941978] Modules linked in: ipv6 snd_pcsp snd_pcm parport_pc parport snd_timer serio_raw snd psmouse soundcore i2c_piix4 snd_page_alloc i2c_core
 button evdev dm_mirror dm_log dm_snapshot dm_mod ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal fan virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virti
o_net virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core 3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd
 ext2 mbcache reiserfs
Aug 28 14:38:06 web-new kernel: [ 6677.941978] Pid: 2066, comm: master Not tainted 2.6.26-1-amd64 #1
Aug 28 14:38:06 web-new kernel: [ 6677.941978] RIP: 0033:[<00007fcf1e3d4c0a>]  [<00007fcf1e3d4c0a>]
Aug 28 14:38:06 web-new kernel: [ 6677.941978] RSP: 002b:00007fff264e18e0  EFLAGS: 00000202
Aug 28 14:38:06 web-new kernel: [ 6677.941978] RAX: 0000000000000002 RBX: 0000000000000086 RCX: 0000000000000000
Aug 28 14:38:06 web-new kernel: [ 6677.941978] RDX: 0000000000000430 RSI: 00007fcf1e4dc903 RDI: 0000000000401895
Aug 28 14:38:06 web-new kernel: [ 6677.941978] RBP: 00000000005078bc R08: 00007fcf1e4e4c98 R09: 0000000000000000
Aug 28 14:38:06 web-new kernel: [ 6677.941978] R10: 0000000000000000 R11: 0000000000000064 R12: 00007fff264e1e50
Aug 28 14:38:06 web-new kernel: [ 6677.941978] R13: 00007fff264e1ed0 R14: 00007fcf1e298de0 R15: 00007fff264e1f50
Aug 28 14:38:06 web-new kernel: [ 6677.941978] FS:  00007fcf1e4d96d0(0000) GS:ffffffff8053b000(0000) knlGS:0000000000000000
Aug 28 14:38:06 web-new kernel: [ 6677.941978] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug 28 14:38:06 web-new kernel: [ 6677.941978] CR2: 00007f65642cb860 CR3: 00000000c4162000 CR4: 00000000000006e0
Aug 28 14:38:06 web-new kernel: [ 6677.941978] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 28 14:38:06 web-new kernel: [ 6677.941978] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 28 14:38:06 web-new kernel: [ 6677.941978] 
Aug 28 14:38:06 web-new kernel: [ 6677.941978] Call Trace:
Aug 28 14:38:06 web-new kernel: [ 6677.941978] 
Aug 28 14:38:06 web-new kernel: [ 6677.939462] BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174]
Aug 28 14:38:06 web-new kernel: [ 6677.939462] Modules linked in: ipv6 snd_pcsp snd_pcm parport_pc parport snd_timer serio_raw snd psmouse soundcore i2c_piix4 snd_page_alloc i2c_core
 button evdev dm_mirror dm_log dm_snapshot dm_mod ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal fan virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virti
o_net virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core 3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd
 ext2 mbcache reiserfs
Aug 28 14:38:06 web-new kernel: [ 6677.939462] CPU 1:
Aug 28 14:38:06 web-new kernel: [ 6677.939462] Modules linked in: ipv6 snd_pcsp snd_pcm parport_pc parport snd_timer serio_raw snd psmouse soundcore i2c_piix4 snd_page_alloc i2c_core
 button evdev dm_mirror dm_log dm_snapshot dm_mod ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal fan virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virti
o_net virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core 3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd
 ext2 mbcache reiserfs
Aug 28 14:38:06 web-new kernel: [ 6677.939462] Pid: 3174, comm: java Not tainted 2.6.26-1-amd64 #1
Aug 28 14:38:06 web-new kernel: [ 6677.939462] RIP: 0033:[<00007f9208bfe6f0>]  [<00007f9208bfe6f0>]
Aug 28 14:38:06 web-new kernel: [ 6677.939462] RSP: 002b:0000000041ee1368  EFLAGS: 00000246
Aug 28 14:38:06 web-new kernel: [ 6677.939462] RAX: 0000000000000000 RBX: 0000000041ee13a8 RCX: 0000000000001119
Aug 28 14:38:06 web-new kernel: [ 6677.939462] RDX: 00007f91e39fd650 RSI: 00007f91e3818010 RDI: 00007f91e3124e68
Aug 28 14:38:06 web-new kernel: [ 6677.939462] RBP: 0000000000000000 R08: 0000000041ee1320 R09: 0000000000000ffc
Aug 28 14:38:06 web-new kernel: [ 6677.939462] R10: 00007f920d049f80 R11: 00007f91e8c48fe8 R12: 00000000000679de
Aug 28 14:38:06 web-new kernel: [ 6677.939462] R13: 0000000041ee14e0 R14: 000000000005336a R15: 0000000048b6b84e
Aug 28 14:38:06 web-new kernel: [ 6677.939462] FS:  0000000041ee8960(0063) GS:ffff8100c6e4a0c0(0000) knlGS:0000000000000000
Aug 28 14:38:06 web-new kernel: [ 6677.939462] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 28 14:38:06 web-new kernel: [ 6677.939462] CR2: 00007f91e4e14000 CR3: 00000000c483f000 CR4: 00000000000006e0
Aug 28 14:38:06 web-new kernel: [ 6677.939462] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 28 14:38:06 web-new kernel: [ 6677.939462] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 28 14:38:06 web-new kernel: [ 6677.939462] 
Aug 28 14:38:06 web-new kernel: [ 6677.939462] Call Trace:
Aug 28 14:38:06 web-new kernel: [ 6677.939462] 

this happened two times so far. If I can provide any more information, please let me know.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.26-1-amd64
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 496917@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Lukas Kolbe <bugs@einfachkaffee.de>, 496917@bugs.debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Thu, 28 Aug 2008 17:41:31 +0200
On Thu, Aug 28, 2008 at 02:54:56PM +0000, Lukas Kolbe wrote:
> Package: linux-image-2.6.26-1-amd64
> Version: 2.6.26-3
> Severity: important
> 
> 
> Using kvm 72, the guest is started with:
> kvm -smp 2 \
>  -net nic,macaddr=DE:AD:BE:EF:21:71,model=virtio \
>  -net tap,ifname=tap02,script=/etc/kvm/kvm-ifup \
>  -net nic,macaddr=DE:AD:BE:EF:21:72,model=virtio \
>  -net tap,ifname=tap12,script=/etc/kvm/kvm-ifup-web \
>  -drive if=virtio,boot=on,file=/dev/vg0/web-root \
>  -drive if=virtio,file=/dev/vg0/web-log \
>  -drive if=virtio,file=/dev/vg0/web-srv \
>  -drive if=virtio,file=/dev/vg0/web-swap \
>  -m 3192 \
>  -kernel /boot/vmlinuz-2.6.26-1-amd64 \
>  -initrd /boot/initrd.img-2.6.26-1-amd64 \
>  -append "root=/dev/vda ro" \
>  -curses
> 
> On the guest, I run  the latest JDK from Sun 1.6.0_07, and the latest JBoss from
> Redhat 4.2.3.GA, default configuration (except that it's started via runit:
>  exec chpst -u jboss:jboss -e ./env -o 65536 /opt/jboss/bin/run.sh -b <host>
> 

should be fixed in 2.6.26-4, should be available tomorrow in unstable.
otherwise find sid snapshots http://wiki.debian.org/DebianKernel

thanks

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <bugs@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <bugs@einfachkaffee.de>
To: maximilian attems <max@stro.at>
Cc: 496917@bugs.debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Fri, 29 Aug 2008 14:20:02 +0200
maximilian attems wrote:

>should be fixed in 2.6.26-4, should be available tomorrow in unstable.
>otherwise find sid snapshots http://wiki.debian.org/DebianKernel
>

Sorry, but it crashed on me again - this time stuck in swapper.

[36037.786125] BUG: soft lockup - CPU#1 stuck for
4097s! [swapper:0]
[36037.786125] Modules linked in: ipv6 snd_pcm snd_timer snd soundcore
snd_page_alloc parport_pc parport serio_raw psmouse pcspkr i2c_piix4
i2c_core button evdev joydev dm_mirror dm_log dm_snapshot dm_mod
ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal fan
virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virtio_net
virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod
atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core
3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd ext2 mbcache reiserfs
[36037.786125] CPU 1:
[36037.786125] Modules linked in: ipv6 snd_pcm snd_timer snd soundcore
snd_page_alloc parport_pc parport serio_raw psmouse pcspkr i2c_piix4
i2c_core button evdev joydev dm_mirror dm_log dm_snapshot dm_mod
ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal fan
virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virtio_net
virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod
atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core
3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd ext2 mbcache reiserfs
[36037.786125] Pid: 0, comm: swapper Not tainted 2.6.26-1-amd64 #1
[36037.786125] RIP: 0010:[<ffffffff8021eb20>]  [<ffffffff8021eb20>]
native_safe_halt+0x2/0x3
[36037.786125] RSP: 0018:ffff8100c6ea5f38  EFLAGS: 00000246
[36037.786125] RAX: ffff8100c6ea5fd8 RBX: 0000000000000000 RCX:
0000000000000000
[36037.786125] RDX: 0000000000000000 RSI: 0000000000000001 RDI:
ffffffff804fadf0
[36037.786125] RBP: 0000000000ce8b7c R08: ffff8100010276a0 R09:
ffff8100c55b4b10
[36037.786125] R10: ffff8100c45dbbc8 R11: ffff8100c485f160 R12:
ffff8100c6ea5ed8
[36037.786125] R13: 0000000000000000 R14: ffffffff8023cd02 R15:
0000196c2157187c
[36037.786125] FS:  00000000414e8960(0000) GS:ffff8100c6e4a0c0(0000)
knlGS:0000000000000000
[36037.786125] CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
[36037.786125] CR2: 00007f4a0d0c4000 CR3: 00000000c548c000 CR4:
00000000000006e0
[36037.786125] DR0: 0000000000000000 DR1: 0000000000000000 DR2:
0000000000000000
[36037.786125] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
0000000000000400
[36037.786125]
[36037.786125] Call Trace:
[36037.786125]  [<ffffffff8020b0cd>] ? default_idle+0x2a/0x49
[36037.786125]  [<ffffffff8020ac79>] ? cpu_idle+0x89/0xb3
[36037.786125]
[40435.828242] BUG: soft lockup - CPU#0 stuck for 8193s! [cron:2082]
[9223956581.178656] Modules linked in: ipv6 snd_pcm snd_timer snd
soundcore snd_page_alloc parport_pc parport serio_raw psmouse pcspkr
i2c_piix4 i2c_core button evdev joydev dm_mirror dm_log dm_snapshot
dm_mod ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal
fan virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virtio_net
virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod
atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core
3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd ext2 mbcache reiserfs
[9223956581.178656] CPU 0:
[9223956581.178656] Modules linked in: ipv6 snd_pcm snd_timer snd
soundcore snd_page_alloc parport_pc parport serio_raw psmouse pcspkr
i2c_piix4 i2c_core button evdev joydev dm_mirror dm_log dm_snapshot
dm_mod ide_cd_mod cdrom ata_generic floppy piix ide_pci_generic thermal
fan virtio_balloon virtio_pci virtio_ring virtio_rng rng_core virtio_net
virtio_blk virtio freq_table processor thermal_sys raid1 raid0 md_mod
atiixp ahci sata_nv sata_sil sata_via libata dock via82cxxx ide_core
3w_9xxx 3w_xxxx scsi_mod xfs ext3 jbd ext2 mbcache reiserfs
[9223956581.178656] Pid: 2082, comm: cron Not tainted 2.6.26-1-amd64 #1
[9223956581.178656] RIP: 0010:[<ffffffff8024aa86>]  [<ffffffff8024aa86>]
getnstimeofday+0x9/0x98
[9223956581.178656] RSP: 0018:ffff8100c545df18  EFLAGS: 00000202
[9223956581.178656] RAX: 0000000000ce8b7d RBX: 0000000000ce8b7d RCX:
00000000000007d8
[9223956581.178656] RDX: 0000000000000002 RSI: 0000000000000000 RDI:
ffff8100c545df38
[9223956581.178656] RBP: 0000000000000008 R08: 0000000000000003 R09:
00000000000007d8
[9223956581.178656] R10: 00000000000007d8 R11: 0000000000000246 R12:
0000000000001000
[9223956581.178656] R13: 00000000000001c8 R14: 0000000000000000 R15:
0000000000000000
[9223956581.178656] FS:  00007fcf5ad0e6d0(0000)
GS:ffffffff8053b000(0000) knlGS:0000000000000000
[9223956581.178656] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[9223956581.178656] CR2: 0000000000418238 CR3: 00000000c41ac000 CR4:
00000000000006e0
[9223956581.178656] DR0: 0000000000000000 DR1: 0000000000000000 DR2:
0000000000000000
[9223956581.178656] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
0000000000000400
[9223956581.178656]
[9223956581.178656] Call Trace:
[9223956581.178656]  [<ffffffff8024aab6>] ? getnstimeofday+0x39/0x98
[9223956581.178656]  [<ffffffff8024ab25>] ? do_gettimeofday+0x10/0x32
[9223956581.178656]  [<ffffffff80238c3b>] ? sys_gettimeofday+0x1b/0x61
[9223956581.178656]  [<ffffffff8020be9a>] ?
system_call_after_swapgs+0x8a/0x8f
[9223956581.178656]

>thanks
>
>-- 
>maks

-- 
Lukas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <bugs@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <bugs@einfachkaffee.de>
To: maximilian attems <max@stro.at>
Cc: 496917@bugs.debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Fri, 29 Aug 2008 14:36:00 +0200
Sorry, my previous answer didn't make it through my mail setup. I was
using 2.6.26-4snapshot.12144 when the crash happened. I'll try it with
the current snapshot again, though the changelog doesn't say anything
about actual changes :)

-- 
Lukas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 496917@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Lukas Kolbe <bugs@einfachkaffee.de>
Cc: 496917@bugs.debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Fri, 29 Aug 2008 14:55:19 +0200
On Fri, Aug 29, 2008 at 02:36:00PM +0200, Lukas Kolbe wrote:
> 
> Sorry, my previous answer didn't make it through my mail setup. I was
> using 2.6.26-4snapshot.12144 when the crash happened. I'll try it with
> the current snapshot again, though the changelog doesn't say anything
> about actual changes :)

seeing if it is fixed in 2.6.27-rc5 might be more interesting.
thanks

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <bugs@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <bugs@einfachkaffee.de>
To: maximilian attems <max@stro.at>
Cc: Lukas Kolbe <bugs@einfachkaffee.de>, 496917@bugs.debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Fri, 29 Aug 2008 21:03:57 +0200
maximilian attems wrote:

>On Fri, Aug 29, 2008 at 02:36:00PM +0200, Lukas Kolbe wrote:
>> 
>> Sorry, my previous answer didn't make it through my mail setup. I was
>> using 2.6.26-4snapshot.12144 when the crash happened. I'll try it with
>> the current snapshot again, though the changelog doesn't say anything
>> about actual changes :)
>
>seeing if it is fixed in 2.6.27-rc5 might be more interesting.
>thanks

2.6.27-rc5 has now been running fine in the guest for more than four
hours (and me restarting jboss every now and then). I'll report back tomorrow evening, that would be the timeframe
the bug should've triggered. 

>-- 
>maks

-- 
Lukas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <lukas@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <lukas@einfachkaffee.de>
To: Lukas Kolbe <bugs@einfachkaffee.de>
Cc: maximilian attems <max@stro.at>, 496917@bugs.debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Mon, 01 Sep 2008 15:56:49 +0200
Hi!

> >seeing if it is fixed in 2.6.27-rc5 might be more interesting.
> >thanks
> 
> 2.6.27-rc5 has now been running fine in the guest for more than four
> hours (and me restarting jboss every now and then). I'll report back tomorrow evening, that would be the timeframe
> the bug should've triggered. 

So far the 2.6.27-rc5 seems to be stable, at least it hasn't crashed on
me. What can I do to help to get the needed fix to testing? (I know that
this kernel won't make it and that's a good thing, but I don't really
know how to identify what's needed to fix this).


> >-- 
> >maks

-- 
Lukas






Severity set to `critical' from `important' Request was from Lukas Kolbe <bugs@einfachkaffee.de> to control@bugs.debian.org. (Fri, 05 Sep 2008 16:39:06 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Lukas Kolbe <bugs@einfachkaffee.de> to control@bugs.debian.org. (Fri, 05 Sep 2008 16:39:07 GMT) Full text and rfc822 format available.

Severity set to `important' from `critical' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 05 Sep 2008 17:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 496917@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: control@bugs.debian.org
Cc: 496917@bugs.debian.org
Subject: severity of 496917 is important
Date: Fri, 05 Sep 2008 21:19:08 +0200
# Automatically generated email from bts, devscripts version 2.10.35
# stop ping pong
severity 496917 important





Severity set to `important' from `important' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 05 Sep 2008 19:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Sun, 14 Dec 2008 22:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Dec 2008 22:57:02 GMT) Full text and rfc822 format available.

Message #53 received at 496917@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Lukas Kolbe <lukas@einfachkaffee.de>
Cc: maximilian attems <max@stro.at>, 496917@bugs.debian.org, jmm@debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Sun, 14 Dec 2008 23:50:54 +0100
On Mon, Sep 01, 2008 at 03:56:49PM +0200, Lukas Kolbe wrote:
> Hi!
> 
> > >seeing if it is fixed in 2.6.27-rc5 might be more interesting.
> > >thanks
> > 
> > 2.6.27-rc5 has now been running fine in the guest for more than four
> > hours (and me restarting jboss every now and then). I'll report back tomorrow evening, that would be the timeframe
> > the bug should've triggered. 
> 
> So far the 2.6.27-rc5 seems to be stable, at least it hasn't crashed on
> me. What can I do to help to get the needed fix to testing? (I know that
> this kernel won't make it and that's a good thing, but I don't really
> know how to identify what's needed to fix this).

Does this bug still persist with the current Lenny kernel?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Mon, 15 Dec 2008 21:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <lukas@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Dec 2008 21:06:02 GMT) Full text and rfc822 format available.

Message #58 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <lukas@einfachkaffee.de>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: maximilian attems <max@stro.at>, 496917@bugs.debian.org, jmm@debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Mon, 15 Dec 2008 21:04:51 +0000
Hi,

> > So far the 2.6.27-rc5 seems to be stable, at least it hasn't crashed on
> > me. What can I do to help to get the needed fix to testing? (I know that
> > this kernel won't make it and that's a good thing, but I don't really
> > know how to identify what's needed to fix this).
> 
> Does this bug still persist with the current Lenny kernel?

Sorry, I have no machine to test this at the moment. Perhaps I find one
in the next days ...

> Cheers,
>         Moritz

-- 
Lukas






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Tue, 06 Jan 2009 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <lukas@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 06 Jan 2009 17:00:04 GMT) Full text and rfc822 format available.

Message #63 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <lukas@einfachkaffee.de>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: maximilian attems <max@stro.at>, 496917@bugs.debian.org, jmm@debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Tue, 06 Jan 2009 16:56:52 +0000
Am Sonntag, den 14.12.2008, 23:50 +0100 schrieb Moritz Muehlenhoff:
> On Mon, Sep 01, 2008 at 03:56:49PM +0200, Lukas Kolbe wrote:
> > Hi!
> > 
> > > >seeing if it is fixed in 2.6.27-rc5 might be more interesting.
> > > >thanks
> > > 
> > > 2.6.27-rc5 has now been running fine in the guest for more than four
> > > hours (and me restarting jboss every now and then). I'll report back tomorrow evening, that would be the timeframe
> > > the bug should've triggered. 
> > 
> > So far the 2.6.27-rc5 seems to be stable, at least it hasn't crashed on
> > me. What can I do to help to get the needed fix to testing? (I know that
> > this kernel won't make it and that's a good thing, but I don't really
> > know how to identify what's needed to fix this).
> 
> Does this bug still persist with the current Lenny kernel?

I am sorry to report that I cannot reproduce this bug anymore, but
that's because the system locks up hard (I have no serial console to it
and it is remotely accessible only).

When I do an rsync of ca. 100GB of data on a guest from a remote
location (both guest and host with 2.6.26-1-amd64 2.6.26-12, but it also
happened with -9), after around 10-25GB the host (!) locks up. Ping does
work, but the shells are dead and no further access (via ssh) is
possible at all. After a forced reboot, the logs show up completely
clueless (as in: syslog marks, but nothing else until the new bootup
messages).

When I do the rsync in the host system (chroot'ed to the guest system
for easyness), I can transfer all 100GB without a hitch.

I am using virtio by the way, as in:

#!/bin/bash

KERNEL=2.6.26-1-amd64
NAME=myname

kvm -smp 2 \
 -drive if=virtio,file=/dev/vg0/${NAME}-root,cache=on,boot=on \
 -drive if=virtio,file=/dev/vg0/${NAME}-log,cache=on,boot=off \
 -m 512 \
 -nographic \
 -daemonize \
 -name ${NAME} \
 -kernel /boot/kvm/${NAME}/vmlinuz-${KERNEL} \
 -initrd /boot/kvm/${NAME}/initrd.img-${KERNEL} \
 -append "root=/dev/vda ro console=ttyS0,115200" \
 -serial mon:unix:/etc/kvm/consoles/${NAME}.sock,server,nowait \
 -net nic,macaddr=DE:AD:BE:EF:21:75,model=virtio \
 -net tap,ifname=tap04,script=/etc/kvm/kvm-ifup \
 -net nic,macaddr=DE:AD:BE:EF:21:76,model=virtio \
 -net tap,ifname=tap14,script=/etc/kvm/kvm-ifup-${NAME} \

I'm sorry as I can't at the moment reproduce the problem that lead to
open this bug. Maybe I should open a new bug for this?

> Cheers,
>         Moritz

All the best and a happy new year, 
Lukas






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Wed, 07 Jan 2009 14:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lukas Kolbe <lukas@einfachkaffee.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Jan 2009 14:15:08 GMT) Full text and rfc822 format available.

Message #68 received at 496917@bugs.debian.org (full text, mbox):

From: Lukas Kolbe <lukas@einfachkaffee.de>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: maximilian attems <max@stro.at>, 496917@bugs.debian.org, jmm@debian.org
Subject: Re: Bug#496917: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Wed, 07 Jan 2009 15:12:12 +0100
Hi Moritz,

> Does this bug still persist with the current Lenny kernel?

Lucky me (sort of) - we stumbled upon this bug again on another server
(8 cores, 8 GB Ram) using 2.6.26-1-amd64_2.6.26-11, and fortune wants it
that it will be under heavy load tomorrow so that we can try the -12
kernel. I'll report back on it.

> Cheers,
>         Moritz

-- 
Lukas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Thu, 15 Jan 2009 11:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rik Theys <Rik.Theys@esat.kuleuven.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 15 Jan 2009 11:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 496917@bugs.debian.org (full text, mbox):

From: Rik Theys <Rik.Theys@esat.kuleuven.be>
To: 496917@bugs.debian.org
Cc: jmm@inutil.org, max@stro.at, jmm@debian.org
Subject: Also happens on migration
Date: Thu, 15 Jan 2009 12:00:46 +0100
Hi,

The "CPU stuck" error message also happens when a KVM guest is migrated 
from one physical machine to another one.

I can reproduce this on HP DL360, DL380 and DL585 servers. The host OS 
versions I've tried are Debian 2.6.26-1-amd64 -12, fedora 10 with 
2.6.27. The guest OS is debian lenny with the latest (12) kernel.

I've been trying to find a working kvm/kernel combination for a while 
now. So far I've tested kvm 64,71,72,74 and now 83 and they all have 
this problem. Having cpu frequency scaling enabled makes the problem 
worse. Also disabling dynticks made the problem harder to reproduce.

Regards,

Rik


-- 
Rik Theys
System Engineer
KU Leuven - Dept. Elektrotechniek (ESAT)
Kasteelpark Arenberg 10
B-3001 LEUVEN - HEVERLEE
Tel.: +32(0)16/32.11.07
----------------------------------------------------------------
<<Any errors in spelling, tact or fact are transmission errors>>

Disclaimer: http://www.kuleuven.be/cwis/email_disclaimer.htm





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Sat, 28 Feb 2009 22:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Lankes <sven@lank.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Feb 2009 22:06:02 GMT) Full text and rfc822 format available.

Message #78 received at 496917@bugs.debian.org (full text, mbox):

From: Sven Lankes <sven@lank.es>
To: 496917@bugs.debian.org
Subject: kvm-84 seems to fix this for me
Date: Sat, 28 Feb 2009 23:05:23 +0100
I was seeing the same guest crashes. It was particularly easy for me to
trigger a freeze when running aide (aideinit).

Upgrading to kvm-84 (kvm-source-84 from experimental) seems to have
fixed the issue for me.

-- 
sven === jabber/xmpp: sven@lankes.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Wed, 29 Apr 2009 14:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Herzinger <bowser@oiml.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Apr 2009 14:30:07 GMT) Full text and rfc822 format available.

Message #83 received at 496917@bugs.debian.org (full text, mbox):

From: Jörg Herzinger <bowser@oiml.at>
To: 496917@bugs.debian.org
Subject: Re: kvm-84 seems to fix this for me
Date: Wed, 29 Apr 2009 16:29:21 +0200
kvm-84 from experimental seems to also have fixed that for me. I still got random crashes on my VMs without no error logs but that could be related to some other Package too (LTSP maybe...).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Mon, 08 Jun 2009 03:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dennis <dentys03@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Jun 2009 03:03:03 GMT) Full text and rfc822 format available.

Message #88 received at 496917@bugs.debian.org (full text, mbox):

From: dennis <dentys03@yahoo.com>
To: Debian Bug Tracking System <496917@bugs.debian.org>
Subject: BUG: soft lockup - CPU2 stuck for 61s! [sshd:22984]
Date: Mon, 08 Jun 2009 06:00:25 +0300
Package: linux-image-2.6.26-2-amd64
Followup-For: Bug #496917

i get tis error message randomly and i cannot get nothing relevant for me in the logs. somtimes it includes sshd other time another process and the sistem stops responding.

-- Package-specific info:
** Version:
Linux version 2.6.26-2-amd64 (Debian 2.6.26-15) (dannf@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Fri Mar 27 04:02:59 UTC 2009

** Command line:
root=/dev/hda1 ro quiet

** Not tainted

** Kernel log:
[ 9686.227480] conntrack_ftp: partial 229  365276623+13
[ 9692.212475] conntrack_ftp: partial 229  365276623+13
[ 9703.221457] conntrack_ftp: partial 229  29201442+13
[ 9704.181575] conntrack_ftp: partial 229  365276623+13
[ 9723.464341] conntrack_ftp: partial 229  1045498656+13
[ 9723.991015] conntrack_ftp: partial 229  1045498656+13
[ 9725.047252] conntrack_ftp: partial 229  1045498656+13
[ 9727.160000] conntrack_ftp: partial 229  1045498656+13
[ 9728.125213] conntrack_ftp: partial 229  365276623+13
[ 9731.384990] conntrack_ftp: partial 229  1045498656+13
[ 9739.834782] conntrack_ftp: partial 229  1045498656+13
[ 9749.313043] conntrack_ftp: partial 229  29201442+13
[ 9756.732965] conntrack_ftp: partial 229  1045498656+13
[ 9776.026441] conntrack_ftp: partial 229  365276623+13
[ 9790.553171] conntrack_ftp: partial 229  1045498656+13
[ 9858.154696] conntrack_ftp: partial 229  1045498656+13
[ 9871.792019] conntrack_ftp: partial 229  365276623+13
[10136.101394] conntrack_ftp: partial 227  2992136514+13
[10136.961803] conntrack_ftp: partial 227  2992136514+13
[10138.689793] conntrack_ftp: partial 227  2992136514+13
[10142.147262] conntrack_ftp: partial 227  2992136514+13
[10149.061085] conntrack_ftp: partial 227  2992136514+13
[10162.890078] conntrack_ftp: partial 227  2992136514+13
[10190.548907] conntrack_ftp: partial 227  2992136514+13
[10245.862307] conntrack_ftp: partial 227  2992136514+13
[10284.082728] conntrack_ftp: partial 227  1137653408+13
[10284.946776] conntrack_ftp: partial 227  1137653408+13
[10286.675657] conntrack_ftp: partial 227  1137653408+13
[10290.131860] conntrack_ftp: partial 227  1137653408+13
[10297.044362] conntrack_ftp: partial 227  1137653408+13
[10310.874019] conntrack_ftp: partial 227  1137653408+13
[10338.527840] conntrack_ftp: partial 227  1137653408+13
[10356.481619] conntrack_ftp: partial 227  2992136514+13
[10393.869208] conntrack_ftp: partial 227  1137653408+13
[10444.628198] conntrack_ftp: partial 227  3753879264+13
[10445.348149] conntrack_ftp: partial 227  3753879264+13
[10446.788457] conntrack_ftp: partial 227  3753879264+13
[10449.669049] conntrack_ftp: partial 227  3753879264+13
[10455.432472] conntrack_ftp: partial 227  3753879264+13
[10466.954294] conntrack_ftp: partial 227  3753879264+13
[10469.212434] conntrack_ftp: partial 227  4032735056+13
[10470.542653] conntrack_ftp: partial 227  4032735056+13
[10473.206638] conntrack_ftp: partial 227  4032735056+13
[10478.535410] conntrack_ftp: partial 227  4032735056+13
[10489.199948] conntrack_ftp: partial 227  4032735056+13
[10490.005076] conntrack_ftp: partial 227  3753879264+13
[10504.502476] conntrack_ftp: partial 227  1137653408+13
[10510.519075] conntrack_ftp: partial 227  4032735056+13
[10536.105693] conntrack_ftp: partial 227  3753879264+13
[10553.162216] conntrack_ftp: partial 227  4032735056+13
[10580.510296] conntrack_ftp: partial 227  1481271810+13
[10581.820165] conntrack_ftp: partial 227  1481271810+13
[10584.444601] conntrack_ftp: partial 227  1481271810+13
[10589.694144] conntrack_ftp: partial 227  1481271810+13
[10600.194199] conntrack_ftp: partial 227  1481271810+13
[10621.189245] conntrack_ftp: partial 227  1481271810+13
[10628.289794] conntrack_ftp: partial 227  3753879264+13
[10638.437617] conntrack_ftp: partial 227  4032735056+13
[10663.213949] conntrack_ftp: partial 227  1481271810+13
[10747.316855] conntrack_ftp: partial 227  1481271810+13
[10801.362169] conntrack_ftp: partial 227  527894069+13
[10804.545337] conntrack_ftp: partial 227  527894069+13
[10810.913741] conntrack_ftp: partial 227  527894069+13
[10823.658295] conntrack_ftp: partial 227  527894069+13
[10849.139669] conntrack_ftp: partial 227  527894069+13
[10900.102452] conntrack_ftp: partial 227  527894069+13
[11002.046331] conntrack_ftp: partial 227  527894069+13
[11025.020137] conntrack_ftp: partial 227  4100561656+13
[11026.430658] conntrack_ftp: partial 227  4100561656+13
[11029.255059] conntrack_ftp: partial 227  4100561656+13
[11034.903121] conntrack_ftp: partial 227  4100561656+13
[11046.202690] conntrack_ftp: partial 227  4100561656+13
[11068.798414] conntrack_ftp: partial 227  4100561656+13
[11113.991081] conntrack_ftp: partial 227  4100561656+13
[11204.386384] conntrack_ftp: partial 227  4100561656+13
[11206.246425] conntrack_ftp: partial 227  2724790372+13
[11208.534657] conntrack_ftp: partial 227  2724790372+13
[11213.120496] conntrack_ftp: partial 227  2724790372+13
[11222.290235] conntrack_ftp: partial 227  2724790372+13
[11240.631684] conntrack_ftp: partial 227  2724790372+13
[11277.340512] conntrack_ftp: partial 227  2724790372+13
[11330.153896] conntrack_ftp: partial 227  331351972+13
[11331.046670] conntrack_ftp: partial 227  331351972+13
[11332.838675] conntrack_ftp: partial 227  331351972+13
[11336.426935] conntrack_ftp: partial 227  331351972+13
[11343.596443] conntrack_ftp: partial 227  331351972+13
[11350.708540] conntrack_ftp: partial 227  2724790372+13
[11357.937602] conntrack_ftp: partial 227  331351972+13
[11386.614064] conntrack_ftp: partial 227  331351972+13
[11443.970523] conntrack_ftp: partial 227  331351972+13
[11444.937374] conntrack_ftp: partial 227  2122871079+13
[11445.568704] conntrack_ftp: partial 227  2122871079+13
[11446.833244] conntrack_ftp: partial 227  2122871079+13
[11449.362577] conntrack_ftp: partial 227  2122871079+13
[11454.419168] conntrack_ftp: partial 227  2122871079+13
[11464.539376] conntrack_ftp: partial 227  2122871079+13
[11484.775294] conntrack_ftp: partial 227  2122871079+13
[11525.231485] conntrack_ftp: partial 227  2122871079+13
[11558.701502] conntrack_ftp: partial 227  331351972+13
[11606.187577] conntrack_ftp: partial 227  2122871079+13

** Loaded modules:
Module                  Size  Used by
ipv6                  288328  28 
xt_MARK                 7552  2 
xt_state                6656  3 
xt_pkttype              6272  1 
sch_sfq                10496  6888 
cls_u32                11144  6 
sch_htb                19328  3 
xt_multiport            7424  8 
xt_tcpudp               7680  606 
iptable_raw             6784  0 
iptable_mangle          7424  1 
iptable_nat             9872  1 
iptable_filter          7424  1 
ip_tables              21520  4 iptable_raw,iptable_mangle,iptable_nat,iptable_filter
x_tables               25224  7 xt_MARK,xt_state,xt_pkttype,xt_multiport,xt_tcpudp,iptable_nat,ip_tables
nf_nat_tftp             6016  0 
nf_nat_ftp              7296  0 
nf_nat                 23192  3 iptable_nat,nf_nat_tftp,nf_nat_ftp
nf_conntrack_ipv4      19352  6 iptable_nat,nf_nat
nf_conntrack_tftp       9748  1 nf_nat_tftp
nf_conntrack_ftp       12728  1 nf_nat_ftp
nf_conntrack           71440  8 xt_state,iptable_nat,nf_nat_tftp,nf_nat_ftp,nf_nat,nf_conntrack_ipv4,nf_conntrack_tftp,nf_conntrack_ftp
ip_vs_ftp               9604  0 
ip_vs                  84256  2 ip_vs_ftp
8021q                  23456  0 
fuse                   53184  1 
dm_snapshot            19400  0 
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_mod                 58864  3 dm_snapshot,dm_mirror,dm_log
loop                   19468  0 
serio_raw               9860  0 
i2c_i801               13596  0 
snd_pcsp               14588  0 
psmouse                42268  0 
i2c_core               27936  1 i2c_i801
iTCO_wdt               15696  0 
button                 11680  0 
snd_pcm                81672  1 snd_pcsp
snd_timer              25744  1 snd_pcm
snd                    63688  3 snd_pcsp,snd_pcm,snd_timer
soundcore              12064  1 snd
snd_page_alloc         13072  1 snd_pcm
intel_agp              31856  1 
evdev                  14208  0 
ext3                  124944  1 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
ide_disk               16512  3 
jmicron                 6912  0 [permanent]
ide_pci_generic         9220  0 [permanent]
ata_piix               22660  0 
ide_core              128284  3 ide_disk,jmicron,ide_pci_generic
ata_generic            10116  0 
e1000                 117184  0 
libata                165600  2 ata_piix,ata_generic
scsi_mod              160760  1 libata
dock                   14112  1 libata
ehci_hcd               35980  0 
uhci_hcd               25760  0 
e1000e                 99748  0 
thermal                22816  0 
processor              42304  1 thermal
fan                     9352  0 
thermal_sys            17728  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82G35 Express DRAM Controller [8086:2980] (rev 03)
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation 82G35 Express PCI Express Root Port [8086:2981] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [88] Subsystem: Intel Corporation Device [8086:d701]
	Capabilities: [80] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
		Address: fee0f00c  Data: 4161
	Capabilities: [a0] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #2, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
			Slot #  0, PowerLimit 75.000000; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Off, PwrInd On, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [140] Root Complex Link <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:02.0 VGA compatible controller [0300]: Intel Corporation 82G35 Express Integrated Graphics Controller [8086:2982] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 90300000 (32-bit, non-prefetchable) [size=1M]
	Region 2: Memory at 80000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 4440 [size=8]
	Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:02.1 Display controller [0380]: Intel Corporation 82G35 Express Integrated Graphics Controller [8086:2983] (rev 03)
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at 90200000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:19.0 Ethernet controller [0200]: Intel Corporation 82566DC Gigabit Network Connection [8086:104b] (rev 02)
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 1274
	Region 0: Memory at 90400000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at 90420000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 40c0 [size=32]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
		Address: 00000000fee0800c  Data: 41a9
	Kernel driver in use: e1000e
	Kernel modules: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 [8086:2834] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 40a0 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 [8086:2835] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 4080 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 [8086:283a] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at 90421400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: 90100000-901fffff
	Prefetchable memory behind bridge: 0000000090500000-00000000905fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  1, PowerLimit 10.000000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
		Address: fee0f00c  Data: 4169
	Capabilities: [90] Subsystem: Gammagraphx, Inc. Device [0000:0000]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.1 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 [8086:2841] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #2, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  2, PowerLimit 10.000000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
		Address: fee0f00c  Data: 4171
	Capabilities: [90] Subsystem: Gammagraphx, Inc. Device [0000:0000]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.2 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 [8086:2843] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Prefetchable memory behind bridge: 0000000090600000-00000000906fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #3, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  3, PowerLimit 10.000000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
		Address: fee0f00c  Data: 4179
	Capabilities: [90] Subsystem: Gammagraphx, Inc. Device [0000:0000]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 [8086:2830] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 4060 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 [8086:2831] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 4040 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 [8086:2832] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 4020 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 [8086:2836] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at 90421000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev f2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: 90000000-900fffff
	Prefetchable memory behind bridge: 0000000090700000-00000000907fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Subsystem: Intel Corporation Device [8086:d701]

00:1f.0 ISA bridge [0601]: Intel Corporation 82801HB/HR (ICH8/R) LPC Interface Controller [8086:2810] (rev 02)
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel modules: iTCO_wdt

00:1f.2 IDE interface [0101]: Intel Corporation 82801H (ICH8 Family) 4 port SATA IDE Controller [8086:2820] (rev 02) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at 4438 [size=8]
	Region 1: I/O ports at 4454 [size=4]
	Region 2: I/O ports at 4430 [size=8]
	Region 3: I/O ports at 4450 [size=4]
	Region 4: I/O ports at 4410 [size=16]
	Region 5: I/O ports at 4400 [size=16]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ata_piix
	Kernel modules: ata_generic, ata_piix, ide-pci-generic

00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus Controller [8086:283e] (rev 02)
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 21
	Region 0: Memory at 90421800 (32-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 4000 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

00:1f.5 IDE interface [0101]: Intel Corporation 82801H (ICH8 Family) 2 port SATA IDE Controller [8086:2825] (rev 02) (prog-if 85 [Master SecO PriO])
	Subsystem: Intel Corporation Device [8086:d701]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at 4428 [size=8]
	Region 1: I/O ports at 444c [size=4]
	Region 2: I/O ports at 4420 [size=8]
	Region 3: I/O ports at 4448 [size=4]
	Region 4: I/O ports at 40f0 [size=16]
	Region 5: I/O ports at 40e0 [size=16]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ata_piix
	Kernel modules: ata_generic, ata_piix, ide-pci-generic

02:00.0 Ethernet controller [0200]: Intel Corporation 82572EI Gigabit Ethernet Controller (Copper) [8086:107d] (rev 06)
	Subsystem: Intel Corporation PRO/1000 PT Server Adapter [8086:1082]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 1275
	Region 0: Memory at 90120000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at 90100000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 3000 [size=32]
	Expansion ROM at 90500000 [disabled] [size=128K]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
		Address: 00000000fee0100c  Data: 41a1
	Capabilities: [e0] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 256 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 <4us, L1 <64us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100] Advanced Error Reporting <?>
	Capabilities: [140] Device Serial Number 26-17-97-ff-ff-17-15-00
	Kernel driver in use: e1000e
	Kernel modules: e1000e

04:00.0 IDE interface [0101]: JMicron Technologies, Inc. JMB368 IDE controller [197b:2368] (prog-if 85 [Master SecO PriO])
	Subsystem: JMicron Technologies, Inc. JMB368 IDE controller [197b:2368]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 2018 [size=8]
	Region 1: I/O ports at 2024 [size=4]
	Region 2: I/O ports at 2010 [size=8]
	Region 3: I/O ports at 2020 [size=4]
	Region 4: I/O ports at 2000 [size=16]
	Expansion ROM at 90600000 [disabled] [size=64K]
	Capabilities: [68] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] Express (v1) Legacy Endpoint, MSI 01
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 unlimited, L1 unlimited
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [70] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
		Address: 00000000  Data: 0000
	Kernel driver in use: JMicron IDE
	Kernel modules: ata_generic, ide-pci-generic, jmicron

05:03.0 Ethernet controller [0200]: Intel Corporation 82541PI Gigabit Ethernet Controller [8086:107c] (rev 05)
	Subsystem: Intel Corporation PRO/1000 GT Desktop Adapter [8086:1376]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (63750ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at 90020000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at 90000000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 1000 [size=64]
	Expansion ROM at 90700000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [e4] PCI-X non-bridge device
		Command: DPERE- ERO+ RBC=512 OST=1
		Status: Dev=00:00.0 64bit- 133MHz- SCD- USC- DC=simple DMMRBC=2048 DMOST=1 DMCRS=8 RSCEM- 266MHz- 533MHz-
	Kernel driver in use: e1000
	Kernel modules: e1000



-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-2-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-2-amd64 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-2-amd64/postinst/bootloader-error-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/lilo-initrd-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/depmod-error-2.6.26-2-amd64: false
  linux-image-2.6.26-2-amd64/postinst/old-dir-initrd-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/create-kimage-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/preinst/initrd-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-2-amd64/preinst/abort-install-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/postinst/old-initrd-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/depmod-error-initrd-2.6.26-2-amd64: false
  linux-image-2.6.26-2-amd64/postinst/bootloader-test-error-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/overwriting-modules-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-2-amd64/preinst/failed-to-move-modules-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/prerm/would-invalidate-boot-loader-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/postinst/old-system-map-link-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/preinst/abort-overwrite-2.6.26-2-amd64:
  linux-image-2.6.26-2-amd64/preinst/bootloader-initrd-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/preinst/elilo-initrd-2.6.26-2-amd64: true
  linux-image-2.6.26-2-amd64/prerm/removing-running-kernel-2.6.26-2-amd64: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Thu, 25 Jun 2009 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Hübner <debalance@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Jun 2009 11:18:02 GMT) Full text and rfc822 format available.

Message #93 received at 496917@bugs.debian.org (full text, mbox):

From: Philipp Hübner <debalance@arcor.de>
To: 496917@bugs.debian.org
Subject: definitely present in Lenny
Date: Thu, 25 Jun 2009 13:12:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

this bug is definitely present in up2date Lenny.

I have several machines running kvm, and they all have this problem.
Guests at high load get stuck and cause 100% cpu load on as many
cores/cpus in the host as have been assigned to the guest virtually.

Using a newer kernel like 2.6.29 in the guest didn't change anything.

I didn't try 2.6.29 on the host because for some reason kvm could not
assign more than 3,5 Gb RAM to a guest then, while this works with 2.6.26=
=2E

Regards,
--=20
 .''`.   Philipp H=FCbner <debalance@arcor.de>
: :'  :  pgp fp: BA61 0B0A 2626 D49C BFC6  1C18 1619 74E4 C259 E0E8
`. `'`   HP: http://debalance.funpic.de, Skype: philipp-huebner
  `-     ICQ: 235-524-440, Jabber: der_schakal@jabber.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Wed, 07 Oct 2009 20:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Oct 2009 20:27:11 GMT) Full text and rfc822 format available.

Message #98 received at 496917@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Philipp Hübner <debalance@arcor.de>
Cc: 496917@bugs.debian.org
Subject: Re: definitely present in Lenny
Date: Wed, 7 Oct 2009 22:11:57 +0200
On Thu, Jun 25, 2009 at 01:12:58PM +0200, Philipp Hübner wrote:
> Hi,
> 
> this bug is definitely present in up2date Lenny.
> 
> I have several machines running kvm, and they all have this problem.
> Guests at high load get stuck and cause 100% cpu load on as many
> cores/cpus in the host as have been assigned to the guest virtually.
> 
> Using a newer kernel like 2.6.29 in the guest didn't change anything.
> 
> I didn't try 2.6.29 on the host because for some reason kvm could not
> assign more than 3,5 Gb RAM to a guest then, while this works with 2.6.26=
> =2E

Could you try 2.6.31 from experimental (and soon unstable); there have been
many KVM changes for the past two kernel releases. If the problem persists,
it should be reported upstream.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Thu, 08 Oct 2009 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Huebner <debalance@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 08 Oct 2009 06:21:03 GMT) Full text and rfc822 format available.

Message #103 received at 496917@bugs.debian.org (full text, mbox):

From: Philipp Huebner <debalance@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 496917@bugs.debian.org
Subject: Re: definitely present in Lenny
Date: Thu, 08 Oct 2009 08:12:08 +0200
Hi,

Moritz Muehlenhoff schrieb:
> Could you try 2.6.31 from experimental (and soon unstable); there have been
> many KVM changes for the past two kernel releases. If the problem persists,
> it should be reported upstream.

for me, the problem already disappeared when using 2.6.30 from
lenny-backports. That increased the whole performance too, I can
definetely recommend it.
only bad thing: the 3.5 gb bug applies again.

If I find the time to look into that more deeply I'll open a separate
bug report for that (if there isn't already one open).
Maybe it's just a problem between the version of the kernel module and
the version of kvm userspace tools.

Regards,
-- 
 .''`.   Philipp Hübner <debalance@debian.org>
: :'  :  pgp fp: BA61 0B0A 2626 D49C BFC6  1C18 1619 74E4 C259 E0E8
`. `'`   HP: http://debalance.funpic.de, Skype: philipp-huebner
  `-     ICQ: 235-524-440, Jabber: der_schakal@jabber.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Thu, 08 Oct 2009 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 08 Oct 2009 15:12:03 GMT) Full text and rfc822 format available.

Message #108 received at 496917@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Philipp Hübner <debalance@arcor.de>, 496917@bugs.debian.org
Subject: Re: Bug#496917: definitely present in Lenny
Date: Thu, 8 Oct 2009 09:09:23 -0600
On Thu, Jun 25, 2009 at 01:12:58PM +0200, Philipp Hübner wrote:
> Hi,
> 
> this bug is definitely present in up2date Lenny.

There are optional, more up to date kvm modules in lenny.
Are you using those? Does the problem go away if you do?

This sequence of commands should build/install them for you:
  apt-get install kvm-source module-assistant
  m-a prepare
  m-a a-i kvm

> I have several machines running kvm, and they all have this problem.
> Guests at high load get stuck and cause 100% cpu load on as many
> cores/cpus in the host as have been assigned to the guest virtually.
> 
> Using a newer kernel like 2.6.29 in the guest didn't change anything.
> 
> I didn't try 2.6.29 on the host because for some reason kvm could not
> assign more than 3,5 Gb RAM to a guest then, while this works with 2.6.26=
> =2E
> 
> Regards,
> --=20
>  .''`.   Philipp H=FCbner <debalance@arcor.de>
> : :'  :  pgp fp: BA61 0B0A 2626 D49C BFC6  1C18 1619 74E4 C259 E0E8
> `. `'`   HP: http://debalance.funpic.de, Skype: philipp-huebner
>   `-     ICQ: 235-524-440, Jabber: der_schakal@jabber.org
> 



-- 
dann frazier





Message sent on to Lukas Kolbe <bugs@einfachkaffee.de>:
Bug#496917. (Sun, 27 Dec 2009 00:54:02 GMT) Full text and rfc822 format available.

Message #111 received at 496917-submitter@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 496917-submitter@bugs.debian.org
Subject: Re: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Sun, 27 Dec 2009 00:51:28 +0000
[Message part 1 (text/plain, inline)]
There is a pending stable update to Debian 5.0 "lenny" that may
fix this issue.  Please test it.  You will need to add the
stable-proposed-updates suite to your APT sources, e.g. add this
line to /etc/apt/sources.list:

    deb http://ftp.debian.org/debian lenny-proposed-updates main

Then run:

    apt-get update
    apt-get install linux-image-2.6.26-2-amd64=2.6.26-21

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Sun, 17 Jan 2010 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #116 received at 496917@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 496917@bugs.debian.org
Subject: Soft Lockups
Date: Sun, 17 Jan 2010 20:37:05 +0100
Hi Ben,

do you recommend using linux-image-2.6.26-2-amd64-2.6.26-21
for the host OS or for the guest?

I'm asking because with

host:
  linux-image-2.6.26-2-amd64 version 2.6.26-21
  kvm version 72+dfsg-5~lenny4

guest:
  linux-image-2.6.26-2-686 version 2.6.26-19lenny2

the soft lockups still occur:

Jan 17 19:53:05 cookie kernel: [345213.390483] BUG: soft lockup - CPU#1 stuck for 73s! [sshd:7411]
Jan 17 19:53:05 cookie kernel: [345213.390483] Modules linked in: xfs ext2 button ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod sd_mod ide_cd_mod cdrom ata_generic libata dock ide_pci_generic sym53c8xx scsi_transport_spi scsi_mod e1
000 piix ide_core [last unloaded: scsi_wait_scan]
Jan 17 19:53:05 cookie kernel: [345213.390483] 
Jan 17 19:53:05 cookie kernel: [345213.390483] Pid: 7411, comm: sshd Not tainted (2.6.26-2-686 #1)
Jan 17 19:53:05 cookie kernel: [345213.390483] EIP: 0060:[<c027cf81>] EFLAGS: 00000282 CPU: 1
Jan 17 19:53:05 cookie kernel: [345213.390483] EIP is at tcp_sendmsg+0x783/0x8e3
Jan 17 19:53:05 cookie kernel: [345213.390483] EAX: f7ce5540 EBX: f7e06c80 ECX: 00000778 EDX: f7e06c80
Jan 17 19:53:05 cookie kernel: [345213.390483] ESI: f79b8180 EDI: 00000001 EBP: c16d00c0 ESP: f7dede1c
Jan 17 19:53:05 cookie kernel: [345213.390483]  DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Jan 17 19:53:05 cookie kernel: [345213.390483] CR0: 8005003b CR2: bff09ce0 CR3: 37a17000 CR4: 000006d0
Jan 17 19:53:05 cookie kernel: [345213.390483] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Jan 17 19:53:05 cookie kernel: [345213.390483] DR6: ffff0ff0 DR7: 00000400
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c024efdf>] ? sock_aio_write+0xdd/0xea
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c01742ea>] ? do_sync_write+0xbf/0x100
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c013199c>] ? autoremove_wake_function+0x0/0x2d
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c01baa3f>] ? security_file_permission+0xc/0xd
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c0174a6d>] ? vfs_write+0x94/0x120
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c017502e>] ? sys_write+0x3c/0x63
Jan 17 19:53:05 cookie kernel: [345213.390483]  [<c01038ce>] ? syscall_call+0x7/0xb
Jan 17 19:53:05 cookie kernel: [345213.390483]  =======================
Jan 17 19:55:46 cookie kernel: [345374.926484] BUG: soft lockup - CPU#1 stuck for 90s! [sshd:7411]
Jan 17 19:55:46 cookie kernel: [345374.926484] Modules linked in: xfs ext2 button ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod sd_mod ide_cd_mod cdrom ata_generic libata dock ide_pci_generic sym53c8xx scsi_transport_spi scsi_mod e1
000 piix ide_core [last unloaded: scsi_wait_scan]
Jan 17 19:55:46 cookie kernel: [345374.926484] 
Jan 17 19:55:46 cookie kernel: [345374.926484] Pid: 7411, comm: sshd Not tainted (2.6.26-2-686 #1)
Jan 17 19:55:46 cookie kernel: [345374.926484] EIP: 0060:[<c02b9bb3>] EFLAGS: 00000246 CPU: 1
Jan 17 19:55:46 cookie kernel: [345374.926484] EIP is at _spin_unlock_irqrestore+0x7/0x10
Jan 17 19:55:46 cookie kernel: [345374.926484] EAX: 00000246 EBX: f7b32430 ECX: 000000fd EDX: 00000246
Jan 17 19:55:46 cookie kernel: [345374.926484] ESI: f78003e0 EDI: 22100000 EBP: 00000200 ESP: f7dedc44
Jan 17 19:55:46 cookie kernel: [345374.926484]  DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Jan 17 19:55:46 cookie kernel: [345374.926484] CR0: 8005003b CR2: 0804d013 CR3: 37a17000 CR4: 000006d0
Jan 17 19:55:46 cookie kernel: [345374.926484] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Jan 17 19:55:46 cookie kernel: [345374.926484] DR6: ffff0ff0 DR7: 00000400
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<f8864e57>] ? e1000_xmit_frame+0xa59/0xaa3 [e1000]
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c011b6fc>] ? default_wake_function+0x0/0x8
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c0258f16>] ? dev_hard_start_xmit+0x1eb/0x24f
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c0266fb6>] ? __qdisc_run+0xa8/0x17c
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c025b091>] ? dev_queue_xmit+0x19f/0x2be
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c02768e7>] ? ip_finish_output+0x1c5/0x1fc
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c027646e>] ? ip_local_out+0x15/0x17
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c0276e9b>] ? ip_queue_xmit+0x25f/0x2a1
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c02853e8>] ? tcp_transmit_skb+0x6a2/0x6d5
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c0284948>] ? tcp_current_mss+0xaa/0xc8
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c02869b7>] ? __tcp_push_pending_frames+0x60b/0x6b2
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c027b927>] ? sk_stream_alloc_skb+0x24/0xad
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c027cff3>] ? tcp_sendmsg+0x7f5/0x8e3
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c024efdf>] ? sock_aio_write+0xdd/0xea
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c0133e56>] ? enqueue_hrtimer+0xc9/0xd4
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c01742ea>] ? do_sync_write+0xbf/0x100
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c013199c>] ? autoremove_wake_function+0x0/0x2d
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c01baa3f>] ? security_file_permission+0xc/0xd
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c0174a6d>] ? vfs_write+0x94/0x120
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c017502e>] ? sys_write+0x3c/0x63
Jan 17 19:55:46 cookie kernel: [345374.926484]  [<c01038ce>] ? syscall_call+0x7/0xb
Jan 17 19:55:46 cookie kernel: [345374.926484]  =======================

Marcel.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Sun, 17 Jan 2010 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jan 2010 22:09:03 GMT) Full text and rfc822 format available.

Message #121 received at 496917@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Marcel Meckel <debian@thermoman.de>, 496917@bugs.debian.org
Subject: Re: Bug#496917: Soft Lockups
Date: Sun, 17 Jan 2010 22:07:50 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-01-17 at 20:37 +0100, Marcel Meckel wrote:
> Hi Ben,
> 
> do you recommend using linux-image-2.6.26-2-amd64-2.6.26-21
> for the host OS or for the guest?

I think the guest really needs to be upgraded, but it will not hurt to
upgrade the host as well.

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#496917; Package linux-image-2.6.26-1-amd64. (Mon, 01 Feb 2010 01:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcel Meckel <debian@thermoman.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 01 Feb 2010 01:03:06 GMT) Full text and rfc822 format available.

Message #126 received at 496917@bugs.debian.org (full text, mbox):

From: Marcel Meckel <debian@thermoman.de>
To: 496917@bugs.debian.org, 526983@bugs.debian.org
Subject: Soft Lockups in KVM guest related to r8169 transmit timeouts?
Date: Mon, 1 Feb 2010 01:58:25 +0100
Hi,

contrary to my comment 38 in #526983 the issue seems not to be fixed
with latest kernel.

In fact, r8169 transmit timeout on host occurs the same time
as soft lockup in kvm guest occurs. from this time on the kvm
process runs at 100% on the host and programs such as top can't
be started anymore in kvm guest; shutdown of kvm guest doesn't
work eighter, only destroy works.

seems to be triggered when kvm guest has some more traffic than normal.

host:      lenny 64bit, linux-image-2.6.26-2-amd64  2.6.26-21 with kvm-72+dfsg-5~lenny4
kvm guest: lenny 32bit, linux-image-2.6.26-2-686    2.6.26-21

kvm guest started via

/usr/bin/kvm -S -M pc -m 2048 -smp 1 -name foobar -monitor pty -boot cd
             -drive file=/dev/vgdom/foobar,if=virtio,index=0,boot=on
             -drive file=/var/lib/libvirt/iso/grml-medium_2009.10.iso,if=virtio,media=cdrom,index=2
             -net nic,macaddr=54:52:00:00:74:01,vlan=0,model=virtio
             -net tap,fd=22,script=,vlan=0,ifname=vnet4
             -serial pty -parallel none -usb
             -vnc 127.0.0.1:74 -k de

Any ideas?

host systems /var/log/messages

Jan 31 23:42:00 wtf kernel: [977284.375745] NETDEV WATCHDOG: eth0: transmit timed out
Jan 31 23:42:00 wtf kernel: [977284.375745] ------------[ cut here ]------------
Jan 31 23:42:00 wtf kernel: [977284.375745] WARNING: at net/sched/sch_generic.c:222 dev_watchdog+0xa6/0xfb()
Jan 31 23:42:00 wtf kernel: [977284.375745] Modules linked in: iptable_nat nf_nat xt_multiport xt_limit xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT iptable_filter ip_tables x_tables tun sha256_generic aes_x86_64 aes_generic cbc dm_crypt crypto_blkcipher kvm_intel kvm bridge ext2 f71882fg ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod raid1 md_mod sd_mod ahci libata scsi_mod dock r8169 processor thermal_sys [last unloaded: scsi_wait_scan]
Jan 31 23:42:00 wtf kernel: [977284.375745] Pid: 0, comm: swapper Not tainted 2.6.26-2-amd64 #1
Jan 31 23:42:00 wtf kernel: [977284.375745] 
Jan 31 23:42:00 wtf kernel: [977284.375745] Call Trace:
Jan 31 23:42:00 wtf kernel: [977284.375745]  <IRQ>  [<ffffffff80234a0c>] warn_on_slowpath+0x51/0x7a
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc8f6>] dev_watchdog+0x0/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802354a7>] printk+0x4e/0x56
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8023cfbd>] lock_timer_base+0x26/0x4b
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8023d14c>] __mod_timer+0xbd/0xcc
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802438ef>] queue_delayed_work_on+0xb8/0xc8
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc8f6>] dev_watchdog+0x0/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc99c>] dev_watchdog+0xa6/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803cc8f6>] dev_watchdog+0x0/0xfb
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8023ca7d>] run_timer_softirq+0x16a/0x1e2
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff80239449>] __do_softirq+0x5c/0xd1
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020d2cc>] call_softirq+0x1c/0x28
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020f3d8>] do_softirq+0x3c/0x81
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802393a7>] irq_exit+0x3f/0x85
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8021aa6b>] smp_apic_timer_interrupt+0x8c/0xa4
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020ccf2>] apic_timer_interrupt+0x72/0x80
Jan 31 23:42:00 wtf kernel: [977284.375745]  <EOI>  [<ffffffff8021a817>] lapic_next_event+0x0/0x13
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8021a826>] lapic_next_event+0xf/0x13
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8042a54d>] _spin_unlock_irqrestore+0x7/0xe
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8024d814>] tick_notify+0x1e9/0x33b
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff802498fc>] notifier_call_chain+0x29/0x4c
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8024d2ce>] clockevents_notify+0x24/0x6d
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffffa000828f>] :processor:acpi_idle_enter_bm+0x2d5/0x327
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803aa804>] cpuidle_idle_call+0x7a/0xb2
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff803aa78a>] cpuidle_idle_call+0x0/0xb2
Jan 31 23:42:00 wtf kernel: [977284.375745]  [<ffffffff8020ac7e>] cpu_idle+0x8e/0xb8
Jan 31 23:42:00 wtf kernel: [977284.375745] 
Jan 31 23:42:00 wtf kernel: [977284.375745] ---[ end trace c2e0b14640bc17c0 ]---
Jan 31 23:42:00 wtf kernel: [977284.417786] r8169: eth0: link up

kvm guest dmesg (nothing in logs):

[1267143826.640016] BUG: soft lockup - CPU#0 stuck for 1179869831s! [pure-ftpd:4742]
[1267143826.640016] Modules linked in: xfs ext2 virtio_net button ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod virtio_blk ide_cd_mod cdrom ata_generic libata scsi_mod dock ide_pci_generic virtio_pci piix ide_core [last unloaded: scsi_wait_scan]
[1267143826.640016] 
[1267143826.640016] Pid: 4742, comm: pure-ftpd Not tainted (2.6.26-2-686 #1)
[1267143826.640016] EIP: 0073:[<b7e4fa2d>] EFLAGS: 00200202 CPU: 0
[1267143826.640016] EIP is at 0xb7e4fa2d
[1267143826.640016] EAX: a05abd7a EBX: b7f1c124 ECX: 09b3cc00 EDX: 09b40198
[1267143826.640016] ESI: 0000000e EDI: 00000010 EBP: bfc708e8 ESP: bfc708c0
[1267143826.640016]  DS: 007b ES: 007b FS: 0000 GS: 0033 SS: 007b
[1267143826.640016] CR0: 80050033 CR2: 09b3f000 CR3: 379f8000 CR4: 000006d0
[1267143826.640016] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[1267143826.640016] DR6: ffff0ff0 DR7: 00000400
[1267143826.640016]  =======================

-- 
Registrierter Linux User #307343




Bug reassigned from package 'linux-image-2.6.26-1-amd64' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:44:28 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-3. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:44:29 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 31 May 2011 04:03:08 GMT) Full text and rfc822 format available.

Notification sent to Lukas Kolbe <bugs@einfachkaffee.de>:
Bug acknowledged by developer. (Tue, 31 May 2011 04:03:08 GMT) Full text and rfc822 format available.

Message #135 received at 496917-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 496917-close@bugs.debian.org
Subject: Re: BUG: soft lockup - CPU#1 stuck for 4096s! [java:3174] and crash (kvm guest)
Date: Tue, 31 May 2011 04:59:17 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2009-12-27 at 00:51 +0000, Ben Hutchings wrote:
> There is a pending stable update to Debian 5.0 "lenny" that may
> fix this issue.  Please test it.  You will need to add the
> stable-proposed-updates suite to your APT sources, e.g. add this
> line to /etc/apt/sources.list:
> 
>     deb http://ftp.debian.org/debian lenny-proposed-updates main
> 
> Then run:
> 
>     apt-get update
>     apt-get install linux-image-2.6.26-2-amd64=2.6.26-21

Closing due to lack of response.  This appears to be fixed in the
current stable release, in any case.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jun 2011 07:32:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:23:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.